const assert = require('assert')
const babel = require('babel-core')
const unpkgRewrite = require('../index')

const testCases = [
  {
    before: "import React from 'react'",
    after: "import React from '//unpkg.com/react?expand';"
  },
  {
    before: "import fs from 'pn/fs'",
    after: "import fs from '//unpkg.com/pn/fs?expand';"
  },
  {
    before: "import cupcakes from './cupcakes'",
    after: "import cupcakes from './cupcakes';"
  },
  {
    before: "import shoelaces from '/shoelaces'",
    after: "import shoelaces from '/shoelaces';"
  },
  {
    before: "import map from 'lodash.map'",
    after: "import map from '//unpkg.com/lodash.map?expand';"
  },
  {
    before: "import something from '//something.com/whatevs'",
    after: "import something from '//something.com/whatevs';"
  },
  {
    before: "import something from 'http://something.com/whatevs'",
    after: "import something from 'http://something.com/whatevs';"
  },
  {
    before: "let ReactDOM = require('react-dom')",
    after: "let ReactDOM = require('react-dom');"
  }
]

testCases.forEach(testCase => {
  const result = babel.transform(testCase.before, {
    plugins: [ unpkgRewrite ]
  })

  assert.equal(result.code, testCase.after)
})
